#include<iostream>
#include<cstring>
using namespace std;
int main(){
    char n[100000];
    cin>>n;
    int i=n[0]-'0',q=1,x=0,bp=0;
    do{
        int j=n[q]-'0';
        if(i!=j){
            q++;
            x++;
        }
        else{
            bp+=x;
            x=0;
            i=n[q]-'0';
            q++;
        }
    }while(q<=strlen(n));
    cout<<bp;
    return 0;
}